const system = require("../../../system");
const ServiceBase = require("../../sve2.base")
const settings = require("../../../../config/settings")
class SignService extends ServiceBase {
  constructor() {
  }

  async apiNameList(params) {
    try {
      return await this.nameList(params);
    } catch (error) {
      console.log(error)
      return system.getResult(null, "接口异常");
    }
  }

  // -----------------------以此间隔，上面为API，下面为service---------------------------------

  async nameList() {
    var nameList = await this.dao.nameList();
    return system.getResultSuccess(nameList);
  }
}
    super("merchant", ServiceBase.getDaoName(SignService));
module.exports = MerchantService;
